---
id: ci-login-create
title: Authenticate and receive an access token
description: >-
  Authenticate using an API key and receive an access token for further API
  requests.
sidebar_label: Authenticate and receive an access token
hide_title: true
hide_table_of_contents: true
api: >-
  eJy1VN9P2zAQ/lese5y8tJv25LcCYyrSBoMyJKoIuc61MSR2sB0givy/T+eE0oKEeNiekjif7+77YfdQoFdON0FbAwJmbSjRBK1kQNZ6bTZMGjY7m7M77Jg0BXOoUD8gLUul0HsW7B0atraOrVsXSnQJ7/C+RR98BhyC3HgQSzicTw6PIOfgUbVOhw7EsocVSoeOOoNY5jHnYBt0kiaaFyBA6ZvKbrQRyqEMCBzG2ge26ED06VM7LEAE1yIHZU1AE+iXbJqKyGhrJreeKPbgVYm1pLfQNQgC7OoWVQAOjaPOQaMf9uqbO+x2gD44bTbAX4m2KHErEckgX0TU1mQQIwd8knVT4V5d+Hl9fnp02f1azL5lGeEiQR36xho/DPF1OqXHfsOLNim/biuWlCGN/xXpVPkmefox5h9LAZsbVbUFslDqZ7A2rLOt24KY9OzTQUoD253j01sJ96YE7E6cvPqtT/XJj+vjP1stI4caQ2kpRY31ia2kmMEk6QaURPeAzqcgtq4CAWUIjReTidKZaauqqWRYW1dnytYQd7J7QYoOou0meCsZ1aEGCQZiBAEfX46tq2UAASdXi0SPnDp/Cfb3jwSGgzZrm5rqQODxiHEgUoNHX7JpNiUoKVDL5KqRaaS90/7O4X7te/+Stv91YwwaBnwKk6aS2hCB5E8/WriEwcKcQ0nWiiX0/Up6vHRVjLR836KjGybn8CCdlisSaJlHDiXKAl3yfND1cKDzeUFtCV611P7NQYr8ecdMKWzCu9h8J31npxcLsn68sWpb0B4nH+k2k48gAOjao90pUWmth0qaTSs3hB1qUlDkfs5e5SqxGn9J0+1M2PcDYkHqxwh8pDJYHPMY419jaxYw
sidebar_class_name: post api-method
info_path: docs/api/ci-cd
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/ci-login-create'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Authenticate and receive an access token"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/login"}
  context={"endpoint"}
>

</MethodEndpoint>

Authenticate using an API key and receive an access token for further API requests.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={undefined}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"api_key":{"type":"string","description":"The API key for authentication."}},"example":{"api_key":"MZRODUyNTA4..."}}}}}}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Successful login.","content":{"application/json":{"schema":{"type":"object","properties":{"access_token":{"type":"string","description":"The access token for further API requests. Include this token in your requests as *Bearer access_token*."}},"example":{"access_token":"eyJraWQiOiJGZFV..."}}}}}}}
>

</StatusCodes>

